Dune 2d20
Page 1 of 2 12 Last
  1. #1

    Ubiquity: Ruleset and LanguagePak

    Ubiquity: Ruleset and LanguagePak

    General information about the project
    In this post I publish the ubiquity ruleset and LPAK for it, which I have created. I will also inform about updates here.

    The files are available at gitlab.com. There you can also open issues if you want to.

    Notes on Copyright
    The notes on the copyrights can be found in the README.md files in the folder of the corresponding project.

    Link to the project: https://gitlab.com/LuleDZ/lulesfgprojekte

    If a copyright holder is interested in publishing copyrighted material on the store of Fantasy Grounds, I will gladly help with the necessary data structure resulting from the ruleset. Before publication, however, the contact between the rights holder and SmiteWorks is essential. More details can be found on the following page: https://fantasygroundsunity.atlassia...rounds+modules. For free publications I am happy to help. Just ask for it.

    The projects
    1. Ubiquity ruleset (https://gitlab.com/LuleDZ/lulesfgpro...esets/Ubiquity)
    2. EN-LanguagePak (https://gitlab.com/LuleDZ/lulesfgpro...EN-LanguagePak)
    3. other Extensions (https://gitlab.com/LuleDZ/lulesfgpro...ter/extensions) or here (https://www.fantasygrounds.com/forum...sions&p=558517)
    Last edited by lule; November 22nd, 2020 at 17:59.

  2. #2
    Ruleset updated. It is now compatible with the CoreRPG-Ruleset v2021-02-01. The release announcement for the CoreRPG-Updates is here: https://www.fantasygrounds.com/forum...pdates-2020-02

  3. #3
    Ruleset updated. It is now compatible with the CoreRPG-Ruleset v2021-03-02. The release announcement for the CoreRPG-Updates is here: https://www.fantasygrounds.com/forum...pdates-2021-03

    Ubiquity Ruleset v1.2b and EN-LanguagePak v1.2b

    Ubiquity Ruleset v1.2b
    - compatibility to CoreRPG V2021-03-02
    - small bug fixes in charsheet, health display
    - adjusting font size in sidebar

    EN-LanguagePak v1.2b
    - compatibility to CoreRPG V2021-03-02
    - bug fix for display issue in sidebar

  4. #4
    Ruleset updated.

    Ubiquity Ruleset v1.2d, still interoperable with EN-LanguagePak v1.2b

    - tested on FGU
    - debugging several FGU-issues
    - debugging minor bugs
    - workaround for Bug in CoreRPG until next release of CoreRPG, see https://www.fantasygrounds.com/forum...l=1#post583878

  5. #5

  6. #6
    Thank you.

    Update 1.2e for full compatibility to CoreRPG V2021-03-09 is in work. This time not a big deal, only some new translations and the removal of the workaround.

    [edit]
    March 10th, 2021: Updated to Version 1.2e

    April 1st, 2021: Updated to Version 1.2f, compatibility to CoreRPG V2021-03-31, FGU 4.0.10 and FGC 3.3.15
    [/edit]
    Last edited by lule; April 1st, 2021 at 12:17.

  7. #7
    Update: Ubiquity Ruleset v1.2g and EN-LanguagePak v1.2g

    - compatibility to CoreRPG v2021-04-13
    - senses can be entered in character sheet (senses uses CoreRPG functionality)
    - two changed sidebar icons
    - small script changes in damage manager

    Update: Ubiquity Ruleset v1.2h and EN-LanguagePak v1.2h

    - compatibility to CoreRPG v2021-04-20
    Last edited by lule; April 21st, 2021 at 17:59.

  8. #8
    Update: Ubiquity Ruleset v1.3 and EN-LanguagePak v1.3

    - compatibility to CoreRPG v2021-05-21
    - Bugfix: when opening an item out of a item-modul, two new empty items are not longer generated
    - other small code errors

    Update: Ubiquity Ruleset v1.4 and EN-LanguagePak v1.4

    - compatibility to CoreRPG v2021-06-10
    - small design bugfix for sidebar
    - passive defense also with pressed strg at skills tab

    Update: Ubiquity Ruleset v1.4a (is compatible with EN-LanguagePak v1.4)

    - compatibility to CoreRPG v2021-06-1029
    Last edited by lule; June 30th, 2021 at 13:32.

  9. #9
    hawkwind's Avatar
    Join Date
    Oct 2012
    Location
    London Calling
    Posts
    2,533
    the dice roller is broken in Unity

  10. #10
    Quote Originally Posted by hawkwind View Post
    the dice roller is broken in Unity
    This can be. I am no longer up to date on the CoreRPG ruleset since I don't use FGU. My gamers are not willing to buy their own license for FGU. I myself don't want to spend the money for the Ultimate license upgarde.. Therefore this project will not be continued for the time being.

    There is also only a small chance that I will develop it further, because I don't use the new features of FGU. The only advantage FGU has over FGC for me is the support for IPV6. I don't need that at the moment, but it might come from the ISP at some point.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
STAR TREK 2d20 02

Log in

Log in